Details
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/customers/{customerId}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/customers/{customerId}"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/customers/{customerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/customers/{customerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"addresses": [],
"birthdate": null,
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"company_name": null,
"created_at": "2025-10-09T13:37:12.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Test maintenant",
"gender": null,
"id": "01k74k19r8cc6ksb89a1fnh6md",
"last_activity": null,
"last_name": "Test W",
"medias": [
{
"collection_name": "default",
"created_at": "2025-10-09T13:37:13.000000Z",
"file_name": "logo.png",
"id": 81,
"large": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-large.jpg",
"link": "https://cdn.genuka.com/preprod_api_genuka/81/logo.png",
"micro": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-micro.jpg",
"mime_type": "image/png",
"size": 10830,
"thumb": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-thumb.jpg",
"updated_at": "2025-10-09T13:37:19.000000Z"
}
],
"metadata": {
"matchingMediaIds": []
},
"orders": [],
"phone": "+237 67812094",
"preferred_language": null,
"registration_number": null,
"shops": [
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "This is the first shop",
"id": "01k7464m19emgj0q6v0v95wp88",
"metadata": null,
"name": "Pet Clinic Shop",
"pivot": {
"customer_id": "01k74k19r8cc6ksb89a1fnh6md",
"shop_id": "01k7464m19emgj0q6v0v95wp88"
},
"slug": "pet-clinic-shop",
"updated_at": "2025-10-09T09:51:50.000000Z"
}
],
"stats": {
"order_sources": [],
"orders_count": 0,
"orders_count_by_day": [
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
}
],
"potential_spent": 0,
"top_products": [],
"total_spent": 0
},
"tags": [
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T13:37:12.000000Z",
"id": "01k74k19rdnz5x8yn5etcg1epw",
"name": "TAG 1",
"pivot": {
"created_at": "2025-10-09T13:37:12.000000Z",
"tag_id": "01k74k19rdnz5x8yn5etcg1epw",
"taggable_id": "01k74k19r8cc6ksb89a1fnh6md",
"taggable_type": "App\\Models\\Customer",
"updated_at": "2025-10-09T13:37:12.000000Z"
},
"taggable_id": "",
"taggable_type": "",
"updated_at": "2025-10-09T13:37:12.000000Z"
}
],
"tax_number": null,
"type": "individual",
"updated_at": "2025-10-09T13:39:53.000000Z"
}Customers
Get a customer with id
Retrieve detailed information about a specific customer in your store using their unique customer ID. This endpoint returns the customer’s profile data, including contact information, order history, and account status.
GET
/
2023-11
/
admin
/
customers
/
{customerId}
Details
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/customers/{customerId}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/customers/{customerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/customers/{customerId}"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/customers/{customerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/customers/{customerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"addresses": [],
"birthdate": null,
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"company_name": null,
"created_at": "2025-10-09T13:37:12.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Test maintenant",
"gender": null,
"id": "01k74k19r8cc6ksb89a1fnh6md",
"last_activity": null,
"last_name": "Test W",
"medias": [
{
"collection_name": "default",
"created_at": "2025-10-09T13:37:13.000000Z",
"file_name": "logo.png",
"id": 81,
"large": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-large.jpg",
"link": "https://cdn.genuka.com/preprod_api_genuka/81/logo.png",
"micro": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-micro.jpg",
"mime_type": "image/png",
"size": 10830,
"thumb": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-thumb.jpg",
"updated_at": "2025-10-09T13:37:19.000000Z"
}
],
"metadata": {
"matchingMediaIds": []
},
"orders": [],
"phone": "+237 67812094",
"preferred_language": null,
"registration_number": null,
"shops": [
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "This is the first shop",
"id": "01k7464m19emgj0q6v0v95wp88",
"metadata": null,
"name": "Pet Clinic Shop",
"pivot": {
"customer_id": "01k74k19r8cc6ksb89a1fnh6md",
"shop_id": "01k7464m19emgj0q6v0v95wp88"
},
"slug": "pet-clinic-shop",
"updated_at": "2025-10-09T09:51:50.000000Z"
}
],
"stats": {
"order_sources": [],
"orders_count": 0,
"orders_count_by_day": [
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
},
{
"count": 0,
"total_amount": 0
}
],
"potential_spent": 0,
"top_products": [],
"total_spent": 0
},
"tags": [
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T13:37:12.000000Z",
"id": "01k74k19rdnz5x8yn5etcg1epw",
"name": "TAG 1",
"pivot": {
"created_at": "2025-10-09T13:37:12.000000Z",
"tag_id": "01k74k19rdnz5x8yn5etcg1epw",
"taggable_id": "01k74k19r8cc6ksb89a1fnh6md",
"taggable_type": "App\\Models\\Customer",
"updated_at": "2025-10-09T13:37:12.000000Z"
},
"taggable_id": "",
"taggable_type": "",
"updated_at": "2025-10-09T13:37:12.000000Z"
}
],
"tax_number": null,
"type": "individual",
"updated_at": "2025-10-09T13:39:53.000000Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Response
200 - application/json
200 OK
Example:
[]
Example:
"01k7464hqksr4f99rp3ff7x2jz"
Example:
"2025-10-09T13:37:12.000000Z"
Example:
[]
Example:
Example:
"Test maintenant"
Example:
"01k74k19r8cc6ksb89a1fnh6md"
Example:
"Test W"
Show child attributes
Show child attributes
Example:
[
{
"collection_name": "default",
"created_at": "2025-10-09T13:37:13.000000Z",
"file_name": "logo.png",
"id": 81,
"large": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-large.jpg",
"link": "https://cdn.genuka.com/preprod_api_genuka/81/logo.png",
"micro": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-micro.jpg",
"mime_type": "image/png",
"size": 10830,
"thumb": "https://cdn.genuka.com/preprod_api_genuka/81/conversions/logo-thumb.jpg",
"updated_at": "2025-10-09T13:37:19.000000Z"
}
]
Show child attributes
Show child attributes
Example:
[]
Example:
"+237 67812094"
Show child attributes
Show child attributes
Example:
[
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "This is the first shop",
"id": "01k7464m19emgj0q6v0v95wp88",
"metadata": null,
"name": "Pet Clinic Shop",
"pivot": {
"customer_id": "01k74k19r8cc6ksb89a1fnh6md",
"shop_id": "01k7464m19emgj0q6v0v95wp88"
},
"slug": "pet-clinic-shop",
"updated_at": "2025-10-09T09:51:50.000000Z"
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
[
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T13:37:12.000000Z",
"id": "01k74k19rdnz5x8yn5etcg1epw",
"name": "TAG 1",
"pivot": {
"created_at": "2025-10-09T13:37:12.000000Z",
"tag_id": "01k74k19rdnz5x8yn5etcg1epw",
"taggable_id": "01k74k19r8cc6ksb89a1fnh6md",
"taggable_type": "App\\Models\\Customer",
"updated_at": "2025-10-09T13:37:12.000000Z"
},
"taggable_id": "",
"taggable_type": "",
"updated_at": "2025-10-09T13:37:12.000000Z"
}
]
Example:
"individual"
Example:
"2025-10-09T13:39:53.000000Z"
